Loading...
Searching...
No Matches
ojph::local::codestream Class Reference

`#include <ojph_codestream_local.h>`

## Public Member Functions

| codestream ()
| ~codestream ()
void | restart ()
void | pre_alloc ()
void | finalize_alloc ()
ojph::param_siz | access_siz ()
const param_siz * | get_siz ()
ojph::param_cod | access_cod ()
const param_cod * | get_cod ()
const param_cod * | get_coc (ui32 comp_num)
const param_qcd * | access_qcd ()
const param_dfs * | access_dfs ()
const param_nlt * | get_nlt ()
mem_fixed_allocator * | get_allocator ()
mem_elastic_allocator * | get_elastic_alloc ()
outfile_base * | get_file ()
line_buf * | exchange (line_buf *line, ui32 &next_component)
void | write_headers (outfile_base *file, const comment_exchange *comments, ui32 num_comments)
void | enable_resilience ()
bool | is_resilient ()
void | read_headers (infile_base *file)
void | restrict_input_resolution (ui32 skipped_res_for_data, ui32 skipped_res_for_recon)
void | read ()
void | set_planar (int planar)
void | set_profile (const char *s)
void | set_tilepart_divisions (ui32 value)
void | request_tlm_marker (bool needed)
line_buf * | pull (ui32 &comp_num)
void | flush ()
void | close ()
bool | is_planar () const
si32 | get_profile () const
ui32 | get_tilepart_div () const
bool | is_tlm_needed () const
void | check_imf_validity ()
void | check_broadcast_validity ()
ui8 * | get_precinct_scratch ()
ui32 | get_skipped_res_for_recon ()
ui32 | get_skipped_res_for_read ()

## Private Attributes

ui32 | precinct_scratch_needed_bytes
ui8 * | precinct_scratch
ui32 | cur_line
ui32 | cur_comp
ui32 | cur_tile_row
bool | resilient
ui32 | skipped_res_for_read
ui32 | skipped_res_for_recon
size | num_tiles
tile * | tiles
line_buf * | lines
ui32 | num_comps
size * | comp_size
size * | recon_comp_size
bool | employ_color_transform
int | planar
int | profile
ui32 | tilepart_div
bool | need_tlm
param_siz | siz
param_cod | cod
param_cap | cap
param_qcd | qcd
param_tlm | tlm
param_nlt | nlt
param_dfs | dfs
param_atk | atk
mem_fixed_allocator * | allocator
mem_elastic_allocator * | elastic_alloc
outfile_base * | outfile
infile_base * | infile

## Detailed Description

Definition at line 68 of file ojph_codestream_local.h.

## Constructor & Destructor Documentation

## codestream()

ojph::local::codestream::codestream | ( |  | ) |

Definition at line 56 of file ojph_codestream_local.cpp.

References allocator, elastic_alloc, ojph::local::init_colour_transform_functions(), ojph::local::init_wavelet_transform_functions(), precinct_scratch, and restart().

## ~codestream()

ojph::local::codestream::~codestream | ( |  | ) |

Definition at line 69 of file ojph_codestream_local.cpp.

References allocator, and elastic_alloc.

## Member Function Documentation

## access_cod()

ojph::param_cod ojph::local::codestream::access_cod | ( |  | ) |

inline

Definition at line 85 of file ojph_codestream_local.h.

References cod.

Referenced by ojph::local::tile::finalize_alloc().

## access_dfs()

const param_dfs * ojph::local::codestream::access_dfs | ( |  | ) |

inline

Definition at line 93 of file ojph_codestream_local.h.

References dfs.

Referenced by ojph::local::resolution::finalize_alloc(), ojph::local::subband::finalize_alloc(), and ojph::local::resolution::pre_alloc().

## access_qcd()

const param_qcd * ojph::local::codestream::access_qcd | ( |  | ) |

inline

Definition at line 91 of file ojph_codestream_local.h.

References qcd.

Referenced by ojph::local::resolution::finalize_alloc(), ojph::local::subband::finalize_alloc(), ojph::local::resolution::pre_alloc(), and ojph::local::subband::pre_alloc().

## access_siz()

ojph::param_siz ojph::local::codestream::access_siz | ( |  | ) |

inline

Definition at line 81 of file ojph_codestream_local.h.

References siz.

Referenced by finalize_alloc(), and pre_alloc().

## check_broadcast_validity()

void ojph::local::codestream::check_broadcast_validity | ( |  | ) |

Definition at line 444 of file ojph_codestream_local.cpp.

References cod, ojph::param_siz::get_bit_depth(), ojph::param_siz::get_downsampling(), ojph::param_siz::get_image_extent(), ojph::param_siz::get_image_offset(), ojph::param_cod::get_log_block_dims(), ojph::param_cod::get_log_precinct_size(), ojph::param_siz::get_num_components(), ojph::param_cod::get_num_decompositions(), ojph::param_cod::get_progression_order(), ojph::param_siz::get_tile_offset(), ojph::param_siz::get_tile_size(), ojph::size::h, ojph::param_siz::is_signed(), need_tlm, ojph_div_ceil, OJPH_ERROR, ojph::OJPH_PO_CPRL, ojph::OJPH_TILEPART_COMPONENTS, OJPH_WARN, siz, tilepart_div, ojph::size::w, ojph::point::x, and ojph::point::y.

Referenced by write_headers().

## check_imf_validity()

void ojph::local::codestream::check_imf_validity | ( |  | ) |

Definition at line 281 of file ojph_codestream_local.cpp.

References cod, ojph::param_siz::get_bit_depth(), ojph::param_siz::get_downsampling(), ojph::param_siz::get_image_extent(), ojph::param_siz::get_image_offset(), ojph::param_cod::get_log_block_dims(), ojph::param_cod::get_log_precinct_size(), ojph::param_siz::get_num_components(), ojph::param_cod::get_num_decompositions(), ojph::param_cod::get_progression_order(), ojph::param_siz::get_tile_offset(), ojph::param_siz::get_tile_size(), ojph::size::h, ojph::param_cod::is_reversible(), ojph::param_siz::is_signed(), need_tlm, ojph_div_ceil, OJPH_ERROR, ojph::OJPH_PO_CPRL, ojph::OJPH_TILEPART_COMPONENTS, OJPH_WARN, siz, tilepart_div, ojph::size::w, ojph::point::x, and ojph::point::y.

Referenced by write_headers().

## close()

void ojph::local::codestream::close | ( |  | ) |

Definition at line 1132 of file ojph_codestream_local.cpp.

References infile, and outfile.

## enable_resilience()

void ojph::local::codestream::enable_resilience | ( |  | ) |

Definition at line 874 of file ojph_codestream_local.cpp.

References infile, OJPH_ERROR, and resilient.

## exchange()

line_buf * ojph::local::codestream::exchange | ( | line_buf * | line,
|  | ui32 & | next_component )

Definition at line 1141 of file ojph_codestream_local.cpp.

References comp_size, cur_comp, cur_line, cur_tile_row, lines, num_comps, num_tiles, planar, and tiles.

## finalize_alloc()

void ojph::local::codestream::finalize_alloc | ( |  | ) |

Definition at line 209 of file ojph_codestream_local.cpp.

References access_siz(), allocator, cod, comp_size, cur_comp, cur_line, employ_color_transform, ojph::param_siz::get_image_extent(), ojph::param_siz::get_image_offset(), ojph::param_siz::get_num_components(), ojph::param_siz::get_tile_offset(), ojph::param_siz::get_tile_size(), ojph::size::h, lines, need_tlm, num_comps, num_tiles, ojph_max, ojph_min, ojph::rect::org, outfile, precinct_scratch, precinct_scratch_needed_bytes, recon_comp_size, siz, ojph::rect::siz, tiles, tlm, ojph::size::w, ojph::point::x, and ojph::point::y.

Referenced by read(), and write_headers().

## flush()

void ojph::local::codestream::flush | ( |  | ) |

Definition at line 1113 of file ojph_codestream_local.cpp.

References ojph::local::EOC, flush(), need_tlm, num_tiles, OJPH_ERROR, outfile, ojph::local::swap_byte(), tiles, and tlm.

Referenced by flush().

## get_allocator()

mem_fixed_allocator * ojph::local::codestream::get_allocator | ( |  | ) |

inline

Definition at line 97 of file ojph_codestream_local.h.

References allocator.

Referenced by ojph::local::codeblock::finalize_alloc(), ojph::local::resolution::finalize_alloc(), ojph::local::subband::finalize_alloc(), ojph::local::tile::finalize_alloc(), ojph::local::tile_comp::finalize_alloc(), ojph::local::codeblock::pre_alloc(), ojph::local::resolution::pre_alloc(), ojph::local::subband::pre_alloc(), ojph::local::tile::pre_alloc(), and ojph::local::tile_comp::pre_alloc().

## get_coc()

const param_cod * ojph::local::codestream::get_coc | ( | ui32 | comp_num | ) |

inline

Definition at line 89 of file ojph_codestream_local.h.

References cod.

Referenced by ojph::local::codeblock::finalize_alloc(), ojph::local::resolution::finalize_alloc(), ojph::local::subband::finalize_alloc(), ojph::local::tile::finalize_alloc(), ojph::local::tile_comp::finalize_alloc(), ojph::local::resolution::pre_alloc(), ojph::local::subband::pre_alloc(), ojph::local::tile::pre_alloc(), and ojph::local::tile_comp::pre_alloc().

## get_cod()

const param_cod * ojph::local::codestream::get_cod | ( |  | ) |

inline

Definition at line 87 of file ojph_codestream_local.h.

References cod.

Referenced by ojph::local::tile::finalize_alloc(), and ojph::local::tile::pre_alloc().

## get_elastic_alloc()

mem_elastic_allocator * ojph::local::codestream::get_elastic_alloc | ( |  | ) |

inline

Definition at line 98 of file ojph_codestream_local.h.

References elastic_alloc.

Referenced by ojph::local::resolution::finalize_alloc(), and ojph::local::subband::finalize_alloc().

## get_file()

outfile_base * ojph::local::codestream::get_file | ( |  | ) |

inline

Definition at line 99 of file ojph_codestream_local.h.

References outfile.

## get_nlt()

const param_nlt * ojph::local::codestream::get_nlt | ( |  | ) |

inline

Definition at line 95 of file ojph_codestream_local.h.

References nlt.

Referenced by ojph::local::tile::finalize_alloc().

## get_precinct_scratch()

ui8 * ojph::local::codestream::get_precinct_scratch | ( |  | ) |

inline

Definition at line 126 of file ojph_codestream_local.h.

References precinct_scratch.

Referenced by ojph::local::resolution::finalize_alloc().

## get_profile()

si32 ojph::local::codestream::get_profile | ( |  | ) | const

inline

Definition at line 119 of file ojph_codestream_local.h.

References profile.

Referenced by ojph::local::tile::finalize_alloc().

## get_siz()

const param_siz * ojph::local::codestream::get_siz | ( |  | ) |

inline

Definition at line 83 of file ojph_codestream_local.h.

References siz.

Referenced by ojph::local::tile::finalize_alloc(), ojph::local::tile_comp::finalize_alloc(), and ojph::local::tile::pre_alloc().

## get_skipped_res_for_read()

ui32 ojph::local::codestream::get_skipped_res_for_read | ( |  | ) |

inline

Definition at line 129 of file ojph_codestream_local.h.

References skipped_res_for_read.

Referenced by ojph::local::resolution::finalize_alloc(), and ojph::local::tile::finalize_alloc().

## get_skipped_res_for_recon()

ui32 ojph::local::codestream::get_skipped_res_for_recon | ( |  | ) |

inline

Definition at line 127 of file ojph_codestream_local.h.

References skipped_res_for_recon.

Referenced by ojph::local::resolution::finalize_alloc(), and ojph::local::resolution::pre_alloc().

## get_tilepart_div()

ui32 ojph::local::codestream::get_tilepart_div | ( |  | ) | const

inline

Definition at line 120 of file ojph_codestream_local.h.

References tilepart_div.

Referenced by ojph::local::tile::finalize_alloc(), and ojph::local::tile::pre_alloc().

## is_planar()

bool ojph::local::codestream::is_planar | ( |  | ) | const

inline

Definition at line 118 of file ojph_codestream_local.h.

References planar.

## is_resilient()

bool ojph::local::codestream::is_resilient | ( |  | ) |

inline

Definition at line 105 of file ojph_codestream_local.h.

References resilient.

Referenced by ojph::local::codeblock::finalize_alloc(), and ojph::local::tile::finalize_alloc().

## is_tlm_needed()

bool ojph::local::codestream::is_tlm_needed | ( |  | ) | const

inline

Definition at line 121 of file ojph_codestream_local.h.

References need_tlm.

Referenced by ojph::local::tile::finalize_alloc().

## pre_alloc()

void ojph::local::codestream::pre_alloc | ( |  | ) |

Definition at line 113 of file ojph_codestream_local.cpp.

References access_siz(), allocator, cod, ojph::param_siz::get_image_extent(), ojph::param_siz::get_image_offset(), ojph::param_siz::get_num_components(), ojph::param_siz::get_tile_offset(), ojph::param_siz::get_tile_size(), ojph::size::h, need_tlm, num_comps, num_tiles, ojph_div_ceil, OJPH_ERROR, ojph_max, ojph_min, ojph::rect::org, outfile, ojph::local::tile::pre_alloc(), precinct_scratch_needed_bytes, siz, ojph::rect::siz, skipped_res_for_recon, ojph::size::w, ojph::point::x, and ojph::point::y.

Referenced by read(), and write_headers().

## pull()

line_buf * ojph::local::codestream::pull | ( | ui32 & | comp_num | ) |

Definition at line 1192 of file ojph_codestream_local.cpp.

References cur_comp, cur_line, cur_tile_row, lines, num_comps, num_tiles, planar, pull(), recon_comp_size, and tiles.

Referenced by pull().

## read()

void ojph::local::codestream::read | ( |  | ) |

Definition at line 883 of file ojph_codestream_local.cpp.

References ojph::local::COC, ojph::local::COD, ojph::local::COM, ojph::local::EOC, finalize_alloc(), ojph::local::find_marker(), ojph::local::param_sot::get_num_tile_parts(), ojph::local::param_sot::get_tile_index(), ojph::local::param_sot::get_tile_part_index(), infile, ojph::local::NLT, num_tiles, OJPH_ERROR, OJPH_INFO, ojph::OJPH_MSG_NO_MSG, ojph::OJPH_MSG_WARN, ojph::local::PLT, ojph::local::POC, ojph::local::PPT, pre_alloc(), ojph::local::QCC, ojph::local::QCD, ojph::local::param_sot::read(), resilient, ojph::local::RGN, ojph::local::skip_marker(), ojph::local::SOD, ojph::local::SOT, and tiles.

## read_headers()

void ojph::local::codestream::read_headers | ( | infile_base * | file | ) |

Definition at line 740 of file ojph_codestream_local.cpp.

References ojph::local::ATK, atk, ojph::local::CAP, cap, ojph::local::COC, ojph::local::COD, cod, ojph::local::COM, ojph::local::CPF, ojph::local::CRG, ojph::local::DFS, dfs, ojph::local::find_marker(), ojph::local::param_cod::get_comp_idx(), ojph::local::param_qcd::get_comp_idx(), ojph::param_cod::get_num_layers(), infile, ojph::local::NLT, nlt, num_comps, ojph::local::param_cod::OJPH_COD_UNKNOWN, OJPH_ERROR, OJPH_INFO, ojph::OJPH_MSG_INFO, ojph::OJPH_MSG_NO_MSG, ojph::OJPH_MSG_WARN, ojph::local::param_qcd::OJPH_QCD_UNKNOWN, planar, ojph::local::PLM, ojph::local::POC, ojph::local::PPM, ojph::local::PRF, ojph::local::QCC, ojph::local::QCD, qcd, ojph::local::param_cod::read_coc(), ojph::local::param_qcd::read_qcc(), ojph::local::RGN, ojph::local::SIZ, siz, ojph::local::skip_marker(), ojph::local::SOC, ojph::local::SOT, and ojph::local::TLM.

## request_tlm_marker()

void ojph::local::codestream::request_tlm_marker | ( | bool | needed | ) |

Definition at line 1107 of file ojph_codestream_local.cpp.

References need_tlm.

## restart()

void ojph::local::codestream::restart | ( |  | ) |

Definition at line 78 of file ojph_codestream_local.cpp.

References allocator, atk, cod, comp_size, cur_comp, cur_line, cur_tile_row, dfs, elastic_alloc, employ_color_transform, infile, lines, need_tlm, nlt, num_comps, ojph::OJPH_PN_UNDEFINED, ojph::OJPH_TILEPART_NO_DIVISIONS, outfile, planar, precinct_scratch_needed_bytes, profile, qcd, recon_comp_size, resilient, skipped_res_for_read, skipped_res_for_recon, tilepart_div, and tiles.

Referenced by codestream().

## restrict_input_resolution()

void ojph::local::codestream::restrict_input_resolution | ( | ui32 | skipped_res_for_data,
|  | ui32 | skipped_res_for_recon )

Definition at line 854 of file ojph_codestream_local.cpp.

References cod, OJPH_ERROR, siz, skipped_res_for_read, and skipped_res_for_recon.

## set_planar()

void ojph::local::codestream::set_planar | ( | int | planar | ) |

Definition at line 1083 of file ojph_codestream_local.cpp.

References planar.

## set_profile()

void ojph::local::codestream::set_profile | ( | const char * | s | ) |

Definition at line 1089 of file ojph_codestream_local.cpp.

References OJPH_ERROR, ojph::OJPH_PN_BROADCAST, ojph::OJPH_PN_IMF, ojph::OJPH_PN_STRING_BROADCAST, ojph::OJPH_PN_STRING_IMF, and profile.

## set_tilepart_divisions()

void ojph::local::codestream::set_tilepart_divisions | ( | ui32 | value | ) |

Definition at line 1101 of file ojph_codestream_local.cpp.

References tilepart_div.

## write_headers()

void ojph::local::codestream::write_headers | ( | outfile_base * | file,
|  | const comment_exchange * | comments,
|  | ui32 | num_comments )

Definition at line 544 of file ojph_codestream_local.cpp.

References atk, cap, check_broadcast_validity(), check_imf_validity(), cod, ojph::local::COM, ojph::comment_exchange::data, finalize_alloc(), ojph::param_cod::get_progression_order(), ojph::comment_exchange::len, nlt, num_comps, OJPH_ERROR, OJPH_INFO, OJPH_INT_TO_STRING, ojph::OJPH_PN_BROADCAST, ojph::OJPH_PN_IMF, ojph::OJPH_PO_CPRL, ojph::OJPH_PO_LRCP, ojph::OJPH_PO_PCRL, ojph::OJPH_PO_RLCP, ojph::OJPH_PO_RPCL, ojph::OJPH_TILEPART_COMPONENTS, ojph::OJPH_TILEPART_RESOLUTIONS, OJPH_WARN, OPENJPH_VERSION_MAJOR, OPENJPH_VERSION_MINOR, OPENJPH_VERSION_PATCH, outfile, planar, pre_alloc(), profile, qcd, siz, ojph::local::SOC, ojph::local::swap_byte(), tilepart_div, and ojph::outfile_base::write().

## Member Data Documentation

## allocator

mem_fixed_allocator* ojph::local::codestream::allocator

private

Definition at line 169 of file ojph_codestream_local.h.

Referenced by codestream(), finalize_alloc(), get_allocator(), pre_alloc(), restart(), and ~codestream().

## atk

param_atk ojph::local::codestream::atk

private

Definition at line 166 of file ojph_codestream_local.h.

Referenced by read_headers(), restart(), and write_headers().

## cap

param_cap ojph::local::codestream::cap

private

Definition at line 159 of file ojph_codestream_local.h.

Referenced by read_headers(), and write_headers().

## cod

param_cod ojph::local::codestream::cod

private

Definition at line 158 of file ojph_codestream_local.h.

Referenced by access_cod(), check_broadcast_validity(), check_imf_validity(), finalize_alloc(), get_coc(), get_cod(), pre_alloc(), read_headers(), restart(), restrict_input_resolution(), and write_headers().

## comp_size

size* ojph::local::codestream::comp_size

private

Definition at line 148 of file ojph_codestream_local.h.

Referenced by exchange(), finalize_alloc(), and restart().

## cur_comp

ui32 ojph::local::codestream::cur_comp

private

Definition at line 138 of file ojph_codestream_local.h.

Referenced by exchange(), finalize_alloc(), pull(), and restart().

## cur_line

ui32 ojph::local::codestream::cur_line

private

Definition at line 137 of file ojph_codestream_local.h.

Referenced by exchange(), finalize_alloc(), pull(), and restart().

## cur_tile_row

ui32 ojph::local::codestream::cur_tile_row

private

Definition at line 139 of file ojph_codestream_local.h.

Referenced by exchange(), pull(), and restart().

## dfs

param_dfs ojph::local::codestream::dfs

private

Definition at line 165 of file ojph_codestream_local.h.

Referenced by access_dfs(), read_headers(), and restart().

## elastic_alloc

mem_elastic_allocator* ojph::local::codestream::elastic_alloc

private

Definition at line 170 of file ojph_codestream_local.h.

Referenced by codestream(), get_elastic_alloc(), restart(), and ~codestream().

## employ_color_transform

bool ojph::local::codestream::employ_color_transform

private

Definition at line 150 of file ojph_codestream_local.h.

Referenced by finalize_alloc(), and restart().

## infile

infile_base* ojph::local::codestream::infile

private

Definition at line 172 of file ojph_codestream_local.h.

Referenced by close(), enable_resilience(), read(), read_headers(), and restart().

## lines

line_buf* ojph::local::codestream::lines

private

Definition at line 146 of file ojph_codestream_local.h.

Referenced by exchange(), finalize_alloc(), pull(), and restart().

## need_tlm

bool ojph::local::codestream::need_tlm

private

Definition at line 154 of file ojph_codestream_local.h.

Referenced by check_broadcast_validity(), check_imf_validity(), finalize_alloc(), flush(), is_tlm_needed(), pre_alloc(), request_tlm_marker(), and restart().

## nlt

param_nlt ojph::local::codestream::nlt

private

Definition at line 162 of file ojph_codestream_local.h.

Referenced by get_nlt(), read_headers(), restart(), and write_headers().

## num_comps

ui32 ojph::local::codestream::num_comps

private

Definition at line 147 of file ojph_codestream_local.h.

Referenced by exchange(), finalize_alloc(), pre_alloc(), pull(), read_headers(), restart(), and write_headers().

## num_tiles

size ojph::local::codestream::num_tiles

private

Definition at line 144 of file ojph_codestream_local.h.

Referenced by exchange(), finalize_alloc(), flush(), pre_alloc(), pull(), and read().

## outfile

outfile_base* ojph::local::codestream::outfile

private

Definition at line 171 of file ojph_codestream_local.h.

Referenced by close(), finalize_alloc(), flush(), get_file(), pre_alloc(), restart(), and write_headers().

## planar

int ojph::local::codestream::planar

private

Definition at line 151 of file ojph_codestream_local.h.

Referenced by exchange(), is_planar(), pull(), read_headers(), restart(), set_planar(), and write_headers().

## precinct_scratch

ui8* ojph::local::codestream::precinct_scratch

private

Definition at line 134 of file ojph_codestream_local.h.

Referenced by codestream(), finalize_alloc(), and get_precinct_scratch().

## precinct_scratch_needed_bytes

ui32 ojph::local::codestream::precinct_scratch_needed_bytes

private

Definition at line 133 of file ojph_codestream_local.h.

Referenced by finalize_alloc(), pre_alloc(), and restart().

## profile

int ojph::local::codestream::profile

private

Definition at line 152 of file ojph_codestream_local.h.

Referenced by get_profile(), restart(), set_profile(), and write_headers().

## qcd

param_qcd ojph::local::codestream::qcd

private

Definition at line 160 of file ojph_codestream_local.h.

Referenced by access_qcd(), read_headers(), restart(), and write_headers().

## recon_comp_size

size* ojph::local::codestream::recon_comp_size

private

Definition at line 149 of file ojph_codestream_local.h.

Referenced by finalize_alloc(), pull(), and restart().

## resilient

bool ojph::local::codestream::resilient

private

Definition at line 140 of file ojph_codestream_local.h.

Referenced by enable_resilience(), is_resilient(), read(), and restart().

## siz

param_siz ojph::local::codestream::siz

private

Definition at line 157 of file ojph_codestream_local.h.

Referenced by access_siz(), check_broadcast_validity(), check_imf_validity(), finalize_alloc(), get_siz(), pre_alloc(), read_headers(), restrict_input_resolution(), and write_headers().

## skipped_res_for_read

ui32 ojph::local::codestream::skipped_res_for_read

private

Definition at line 141 of file ojph_codestream_local.h.

Referenced by get_skipped_res_for_read(), restart(), and restrict_input_resolution().

## skipped_res_for_recon

ui32 ojph::local::codestream::skipped_res_for_recon

private

Definition at line 141 of file ojph_codestream_local.h.

Referenced by get_skipped_res_for_recon(), pre_alloc(), restart(), and restrict_input_resolution().

## tilepart_div

ui32 ojph::local::codestream::tilepart_div

private

Definition at line 153 of file ojph_codestream_local.h.

Referenced by check_broadcast_validity(), check_imf_validity(), get_tilepart_div(), restart(), set_tilepart_divisions(), and write_headers().

## tiles

tile* ojph::local::codestream::tiles

private

Definition at line 145 of file ojph_codestream_local.h.

Referenced by exchange(), finalize_alloc(), flush(), pull(), read(), and restart().

## tlm

param_tlm ojph::local::codestream::tlm

private

Definition at line 161 of file ojph_codestream_local.h.

Referenced by finalize_alloc(), and flush().

The documentation for this class was generated from the following files:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/codestream/ojph_codestream_local.h
- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/codestream/ojph_codestream_local.cpp